| AI Engine API User Guide (AIE-API) 2026.1

Loading...
Searching...
No Matches
Floating-point Scalar Operations
Elementary Functions

## Overview

## Functions
template<typename T> requires (detail::is_floating_point_v<T>)
bool | aie::eq (T a, T b)
| Compares the two input values and returns whether they are equal.
template<typename T> requires (detail::is_floating_point_v<T> && !detail::is_complex_v<T>)
bool | aie::ge (T a, T b)
| Compares the two input values and returns whether the first value is larger or equal than the second value.
template<typename T> requires (detail::is_floating_point_v<T> && !detail::is_complex_v<T>)
bool | aie::gt (T a, T b)
| Compares the two input values and returns whether the first value is larger than the second value.
template<typename T> requires (detail::is_floating_point_v<T> && !detail::is_complex_v<T>)
bool | aie::le (T a, T b)
| Compares the two input values and returns whether the first value is smaller or equal than the second value.
template<typename T> requires (detail::is_floating_point_v<T> && !detail::is_complex_v<T>)
bool | aie::lt (T a, T b)
| Compares the two input values and returns whether the first value is smaller than the second value.
template<typename T> requires (detail::is_floating_point_v<T>)
T | aie::max (T a, T b)
| Compares the two input values and returns the maximum value.
template<typename T> requires (detail::is_floating_point_v<T>)
T | aie::min (T a, T b)
| Compares the two input values and returns the minimum value.
template<typename T> requires (detail::is_floating_point_v<T>)
bool | aie::neq (T a, T b)
| Compares the two input values and returns whether they are not equal.

## Function Documentation

## ◆ eq()

template<typename T>
requires (detail::is_floating_point_v<T>)

bool aie::eq | ( | T | a,
|  | T | b )

Compares the two input values and returns whether they are equal.

Parameters

  a | First value.
  b | Second value.

## ◆ ge()

template<typename T>
requires (detail::is_floating_point_v<T> && !detail::is_complex_v<T>)

bool aie::ge | ( | T | a,
|  | T | b )

Compares the two input values and returns whether the first value is larger or equal than the second value.

Parameters

  a | First value.
  b | Second value.

## ◆ gt()

template<typename T>
requires (detail::is_floating_point_v<T> && !detail::is_complex_v<T>)

bool aie::gt | ( | T | a,
|  | T | b )

Compares the two input values and returns whether the first value is larger than the second value.

Parameters

  a | First value.
  b | Second value.

## ◆ le()

template<typename T>
requires (detail::is_floating_point_v<T> && !detail::is_complex_v<T>)

bool aie::le | ( | T | a,
|  | T | b )

Compares the two input values and returns whether the first value is smaller or equal than the second value.

Parameters

  a | First value.
  b | Second value.

## ◆ lt()

template<typename T>
requires (detail::is_floating_point_v<T> && !detail::is_complex_v<T>)

bool aie::lt | ( | T | a,
|  | T | b )

Compares the two input values and returns whether the first value is smaller than the second value.

Parameters

  a | First value.
  b | Second value.

## ◆ max()

template<typename T>
requires (detail::is_floating_point_v<T>)

T aie::max | ( | T | a,
|  | T | b )

Compares the two input values and returns the maximum value.

Parameters

  a | First value.
  b | Second value.

## ◆ min()

template<typename T>
requires (detail::is_floating_point_v<T>)

T aie::min | ( | T | a,
|  | T | b )

Compares the two input values and returns the minimum value.

Parameters

  a | First value.
  b | Second value.

## ◆ neq()

template<typename T>
requires (detail::is_floating_point_v<T>)

bool aie::neq | ( | T | a,
|  | T | b )

Compares the two input values and returns whether they are not equal.

Parameters

  a | First value.
  b | Second value.